Summary: A source code preprocessor for hep applications
Name: patchy
%define version 4.15
Version: %{version}
Release: 3d
Source0: patchy-%{version}.tar.gz
Patch0: patchy-%{version}-macosx.patch
Copyright: CERN
Group: CERNLIB
BuildRoot: %{_tmppath}/patchy-root

%description
Patchy is a family of programs for source code management,
such as absorbing machine dependence through preprocessing, etc.
The package is distributed as a part of CERNLIB and requires
LICENSE agreement with CERN.

%package symlinks
Summary: symbolic links to /cern/pro/bin
Group: CERNLIB
%description symlinks
Symbolic links to use patchy programs as installed in
the default CERNLIB command search path.

%prep
%setup
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/cern/patchy/%{version}/bin
mkdir -p $RPM_BUILD_ROOT/cern/pro/bin
%ifos darwin
%patch0 -p1 
%endif
%ifarch i386
mv p4inceta-i386 p4inceta
mv p4sub-i386.diff p4sub.diff
mv rceta-i386.sh rceta.sh
%else
%ifarch ppc
mv p4inceta-ppc p4inceta
mv p4sub-ppc.diff p4sub.diff
mv rceta-ppc.sh rceta.sh
%endif
%endif

%build
export CERN=$RPM_BUILD_ROOT/cern
./make_patchy

%install
# install is done in the build step
strip $RPM_BUILD_ROOT/cern/patchy/%{version}/bin/*
cd $RPM_BUILD_ROOT/cern/pro/bin
for i in ../../patchy/%{version}/bin/*; do
	ln -s $i .
done
rm -rf $RPM_BUILD_ROOT/cern/patchy/%{version}/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README
/cern/patchy/%{version}/bin/*

%files symlinks
/cern/pro/bin/*

%changelog
* Mon Jan 12 2004 Keisuke Fujii <keisuke.fujii@kek.jp> 4.15-3d
- 1st release on MacOSX 10.3

* Thu Oct 10 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.1

* Sat Apr 28 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.0.01

* Fri Dec 3 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- rebuilt with cernlib 2000.

